<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>AngularJS HttpPost</title>
	
	<!-- jQuery File -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
	
    <!-- AngularJs File -->
    <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
    <script type="text/javascript" src="resource/js/ang_http_post_data.js"></script>

    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">    
</head>
<body>
    <div id="angularHttpPost" class="container">
        <h1 align="center" class="text-primary">AngularJS - HTTP Post Example</h1>
        <hr />

        <!------ ANGULAR JS HTTP 'Post()' EXAMPLE ------>
        <div ng-app="app" ng-controller="ctrl">
            <h3 id="header_msg" class="text-warning">A demo of HTTP '<em>post()</em>' method in Angular JavaScript!</h3>
            <div>&nbsp;</div>

            <!----- CREDENTIALS FORM ------>
            <div class="input-group col-xs-4">
                <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                <input type="text" class="form-control" id="lid" placeholder="Enter login id ..." name="login_id" ng-model="login_id" required="required" maxlength="6">                
            </div>
            <div>&nbsp;</div>
            <div class="input-group col-xs-4">
                <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
                <input type="password" class="form-control" id="lpwd" placeholder="Enter password ..." name="login_pwd" ng-model="login_pwd" required="required">
            </div>
            <small id="loginHelp" class="form-text text-muted"><span class="glyphicon glyphicon-asterisk"></span>Validate your login credentials.</small>

            <!----- SUBMIT BUTTON ------>
            <div>&nbsp;</div>
            <button id="submit_btn" class="btn btn-primary" ng-click="validateCredentials()">Validate</button>
			            
            <!----- SUCCESS / ERROR MESSAGE ------>
            <div>&nbsp;</div>
            <div id="msg">{{ output_msg }}</div>
        </div>
    </div>
</body>
</html>